Page MenuHomePhabricator

'.event.module' should be equal to one of the allowed values
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error
normalized_message
'.event.module' should be equal to one of the allowed values
exception.trace
Impact

Event is not logged.

Notes
  • The missing module name is mentorship-optin.
  • 6 instances in the last week, all in kowiki
Steps to reproduce
  1. Opt out of mentorship
  2. Go to Special:Homepage on mobile
  3. Click on the mentorship module
  4. Close the overlay
Acceptance criteria
  1. impression event with module: mentorship-optin is logged after 3
  2. close event with module: mentorship-optin is logged after step 4

Event Timeline

Restricted Application added subscribers: revi, Aklapper. · View Herald Transcript
kostajh triaged this task as Medium priority.May 18 2022, 4:43 PM
kostajh edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Change 793105 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[schemas/event/secondary@master] Add mentorship-optin module to homepagemodule schema

https://gerrit.wikimedia.org/r/793105

Change 793107 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Update homepagemodule schema to v1.5.1

https://gerrit.wikimedia.org/r/793107

Sample events:

Impression

event: {
  "event": {
    "action": "impression",
    "action_data": "",
    "user_id": 335,
    "user_editcount": 15,
    "user_variant": "imagerecommendation",
    "module": "mentorship-optin",
    "is_mobile": true,
    "mode": "mobile-overlay",
    "homepage_pageview_token": "395imp1k405s4urk50cekmee9aujj73r"
  },
  "schema": "HomepageModule",
  "webHost": "localhost",
  "wiki": "my_wiki",
  "$schema": "/analytics/legacy/homepagemodule/1.5.1",
  "client_dt": "2022-05-18T18:10:35.370Z",
  "meta": {
    "stream": "eventlogging_HomepageModule",
    "domain": "localhost"
  }
}

Close

event: {
  "event": {
    "action": "close",
    "action_data": "",
    "user_id": 335,
    "user_editcount": 15,
    "user_variant": "imagerecommendation",
    "module": "mentorship-optin",
    "is_mobile": true,
    "mode": "mobile-overlay",
    "homepage_pageview_token": "395imp1k405s4urk50cekmee9aujj73r"
  },
  "schema": "HomepageModule",
  "webHost": "localhost",
  "wiki": "my_wiki",
  "$schema": "/analytics/legacy/homepagemodule/1.5.1",
  "client_dt": "2022-05-18T18:10:54.399Z",
  "meta": {
    "stream": "eventlogging_HomepageModule",
    "domain": "localhost"
  }
}

Change 793105 merged by jenkins-bot:

[schemas/event/secondary@master] Add mentorship-optin module to homepagemodule schema

https://gerrit.wikimedia.org/r/793105

Change 793107 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Update homepagemodule schema to v1.5.1

https://gerrit.wikimedia.org/r/793107

Change 793538 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Provide fallback value for wgUserEditCount in HomepageModuleLogger and HelpPanelLogger

https://gerrit.wikimedia.org/r/793538

Change 793105 merged by jenkins-bot:

[schemas/event/secondary@master] Add mentorship-optin module to homepagemodule schema

https://gerrit.wikimedia.org/r/793105

The patch seems to be not deployed yet. That could be the reason for 61 errors recorded for the last 24 hours (the last timestamp - May 26, 2022 @ 18:00:57.629 (logstash link

Change 793105 merged by jenkins-bot:

[schemas/event/secondary@master] Add mentorship-optin module to homepagemodule schema

https://gerrit.wikimedia.org/r/793105

The patch seems to be not deployed yet. That could be the reason for 61 errors recorded for the last 24 hours (the last timestamp - May 26, 2022 @ 18:00:57.629 (logstash link

The errors end on May 26, coinciding with the deployment of wmf.13 to group2,s o I think we are OK now.